updateSamlIntegrationContactEmailDomains
Replaces the domains where an SSO integration also accepts a contact email; they never allow a login. A public email provider is refused with the code CONTACT_EMAIL_DOMAIN_PUBLIC_PROVIDER and the refused domains in extensions.domains
updateSamlIntegrationContactEmailDomains(
input: UpdateSamlIntegrationContactEmailDomainsInput!
): UpdateSamlIntegrationContactEmailDomainsPayload
Arguments
updateSamlIntegrationContactEmailDomains.input ● UpdateSamlIntegrationContactEmailDomainsInput! non-null input
Parameters for UpdateSamlIntegrationContactEmailDomains
Type
UpdateSamlIntegrationContactEmailDomainsPayload object
Autogenerated return type of UpdateSamlIntegrationContactEmailDomains.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the integrations query first and use data.integrations.collection[].id as integrationId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateSamlIntegrationContactEmailDomains($input: UpdateSamlIntegrationContactEmailDomainsInput!) {\n updateSamlIntegrationContactEmailDomains(input: $input) { clientMutationId integration { id accessProfileMappings { __typename } accessProfilesSource } }\n}","variables":{"input":{"integrationId":"<integration_id>","contactEmailDomains":["example"]}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateUpdateSamlIntegrationContactEmailDomains($input: UpdateSamlIntegrationContactEmailDomainsInput!) {\n updateSamlIntegrationContactEmailDomains(input: $input) { clientMutationId integration { id accessProfileMappings { __typename } accessProfilesSource } }\n}",
variables: {
"input": {
"integrationId": "<integration_id>",
"contactEmailDomains": [
"example"
]
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateUpdateSamlIntegrationContactEmailDomains($input: UpdateSamlIntegrationContactEmailDomainsInput!) {\n updateSamlIntegrationContactEmailDomains(input: $input) { clientMutationId integration { id accessProfileMappings { __typename } accessProfilesSource } }\n}",
'variables': json.loads("{\"input\":{\"integrationId\":\"<integration_id>\",\"contactEmailDomains\":[\"example\"]}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute